 ImportWarning: Not importing directory xxx  missing __init__.py

2018-04-03 11:35 AM - Ricardo Simoes

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/SAGA

Affected QGIS version:2.18.17 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 26502

Description

Fresh install on Windows 10 using QGIS 2.18.17.

Simply opening QGIS creates the following python warning.

warning:D:/QGIS/apps/qgis-ltr/./python\qgis\utils.py:607: ImportWarning: Not importing directory

'D:\QGIS\apps\Python27\lib\site-packages\win32\test': missing __init__.py

              mod = _builtin_import(name, globals, locals, fromlist, level)

            traceback:  File "<string>", line 1, in <module>

              File "D:/QGIS/apps/qgis-ltr/./python\qgis\utils.py", line 298, in loadPlugin

                __import__(packageName)

              File "D:/QGIS/apps/qgis-ltr/./python\qgis\utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "D:/QGIS/apps/qgis-ltr/./python/plugins\processing\__init__.py", line 29, in <module>

                from processing.tools.general import *              # NOQA

              File "D:/QGIS/apps/qgis-ltr/./python\qgis\utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "D:/QGIS/apps/qgis-ltr/./python/plugins\processing\tools\general.py", line 31, in <module>

                from processing.core.Processing import Processing

              File "D:/QGIS/apps/qgis-ltr/./python\qgis\utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "D:/QGIS/apps/qgis-ltr/./python/plugins\processing\core\Processing.py", line 62, in <module>

                from processing.algs.saga.SagaAlgorithmProvider import SagaAlgorithmProvider

              File "D:/QGIS/apps/qgis-ltr/./python\qgis\utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "D:/QGIS/apps/qgis-ltr/./python/plugins\processing\algs\saga\SagaAlgorithmProvider.py", line 33, in <module>

                from SagaAlgorithm import SagaAlgorithm

              File "D:/QGIS/apps/qgis-ltr/./python\qgis\utils.py", line 607, in _import

                mod = _builtin_import(name, globals, locals, fromlist, level)

              File "D:/QGIS/apps/qgis-ltr/./python/plugins\processing\algs\saga\SagaAlgorithm.py", line 20, in <module>

                standard_library.install_aliases()

              File "D:\QGIS\apps\Python27\lib\site-packages\future\standard_library\__init__.py", line 483, in install_aliases

                import test

History

#1 - 2018-04-03 11:44 AM - Borys Jurgiel

- Assignee changed from Borys Jurgiel to Alexander Bruy

- Category changed from Plugin Manager to Processing/SAGA
Alex, I'm not sure who is the best to torment with Saga problems. Or maybe it's more a windows package problem?

#2 - 2018-06-04 01:54 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Closed

Windows packaging problem - needs filing with osgeo4w

#3 - 2018-06-04 01:15 PM - Jürgen Fischer

- Description updated
